Skip to main content
POST
/
v1
/
transcript
/
project
/
{projectID}
Search transcripts
curl --request POST \
  --url https://analytics-api.voiceflow.com/v1/transcript/project/{projectID} \
  --header 'Content-Type: application/json' \
  --header 'authorization: <api-key>' \
  --data '
{
  "filters": [
    {
      "id": "<string>",
      "value": 123
    }
  ],
  "endDate": "2023-11-07T05:31:56Z",
  "sessionID": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "updatedAfter": "2023-11-07T05:31:56Z",
  "updatedBefore": "2023-11-07T05:31:56Z",
  "environmentID": "<string>",
  "versionID": "<string>",
  "projectEnvironmentIDOrAlias": "<string>"
}
'
import requests

url = "https://analytics-api.voiceflow.com/v1/transcript/project/{projectID}"

payload = {
"filters": [
{
"id": "<string>",
"value": 123
}
],
"endDate": "2023-11-07T05:31:56Z",
"sessionID": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"updatedAfter": "2023-11-07T05:31:56Z",
"updatedBefore": "2023-11-07T05:31:56Z",
"environmentID": "<string>",
"versionID": "<string>",
"projectEnvironmentIDOrAlias": "<string>"
}
headers = {
"authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: [{id: '<string>', value: 123}],
endDate: '2023-11-07T05:31:56Z',
sessionID: '<string>',
startDate: '2023-11-07T05:31:56Z',
updatedAfter: '2023-11-07T05:31:56Z',
updatedBefore: '2023-11-07T05:31:56Z',
environmentID: '<string>',
versionID: '<string>',
projectEnvironmentIDOrAlias: '<string>'
})
};

fetch('https://analytics-api.voiceflow.com/v1/transcript/project/{projectID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transcripts": [
    {
      "id": "<string>",
      "userID": "<string>",
      "sessionID": "<string>",
      "projectID": "<string>",
      "environmentID": "<string>",
      "createdAt": "2023-12-25",
      "updatedAt": "2023-12-25",
      "expiresAt": "2023-12-25",
      "endedAt": "2023-12-25",
      "recordingURL": "<string>",
      "properties": [
        {
          "value": "<string>",
          "metadata": {},
          "createdAt": "2023-12-25",
          "updatedAt": "2023-12-25",
          "id": "<string>",
          "name": "<string>",
          "type": "<string>",
          "default": true
        }
      ],
      "evaluations": [
        {
          "value": 123,
          "reason": "<string>",
          "cost": 123,
          "createdAt": "2023-12-25",
          "updatedAt": "2023-12-25",
          "id": "<string>",
          "name": "<string>",
          "description": "<string>",
          "default": true,
          "type": "boolean"
        }
      ],
      "projectEnvironmentID": "<string>"
    }
  ]
}

Authorizations

authorization
string
header
required

Voiceflow API key

Path Parameters

projectID
string
required

ID of the target Voiceflow project.

Query Parameters

take
integer
default:25

The maximum number of results to return, used for pagination

Required range: 1 <= x <= 100
skip
integer
default:0

The number of results to skip, used for pagination.

Required range: 0 <= x <= 9007199254740991
order
enum<string>
default:DESC

Used to control the order of the results returned.

Available options:
ASC,
DESC
encode
boolean

Escape HTML special characters that appear in transcripts.

Body

application/json
filters
object[]

Filter transcripts based on properties and evaluation results.

Maximum array length: 50
endDate
string<date-time>

Select transcripts that were started before a specific date.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
sessionID
string

Select transcripts by sessionID.

startDate
string<date-time>

Select transcripts that were started after a specific date.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAfter
string<date-time>

Select transcripts that were last updated at or after a specific date.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedBefore
string<date-time>

Select transcripts that were last updated at or before a specific date.

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
environmentID
deprecated

@deprecated use versionID and projectEnvironmentIDOrAlias instead

versionID
string
projectEnvironmentIDOrAlias
string

Response

200 - application/json
transcripts
object[]
required